Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum https://forum.linuxiarze.pl

[solved] Firefox

Started by elemmaiii, May 06, 2019, 10:51:53 PM

Previous topic - Next topic

elemmaiii

[SOLVED] I'm going to reveal my ignorance here... but, the Firefox issue... does the fix have anything to do with Sparkylinux? My Firefox browser has been down all weekend and is still down (unable to use addons.) Is the fix going to be coming through a Sparkylinux update? Or, is this something I rely solely on Firefox for the delivery of the fix?

I'm on a 64 bit Sparkylinux Testing w/KDE.

pavroo

No, it is Mozzilla's issue.
Upgrade your system to get a fix now.
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

paxmark1

http://sparkylinux.org/forum/index.php/topic,4901.0.html   Has the Debian Forums thread and a blogpost from Mozilla over it. 

It is fixed in testing for me, but not yet (for me) in Stable. 
Search forum for "More info easier via inxi"    If requested -  no inxi, no help for you by  me.

elemmaiii

Firefox has moved to 67.0 for little over a week, but I'm still on 66.0.5 in Sparkylinux testing.
Unfortunately, I'm getting the impression that Sparkylinux is slow to update newer versions of Firefox. Is there a reason why this update is being withheld? Can I change something in my update settings to accommodate a more up to date Firefox?

lami07

Sparky do not provide Firefox on its own, rather uses package from Debian testing repo. Currently there is no Firefox 67 in Debian testing (nor Sid) . If you really need ff67 you can grab it from Debian experimental repo (you do it on your own risk)

https://wiki.debian.org/DebianExperimental
Quote from: forum rulesWhen an issue has been resolved for you, please edit the original post to include <SOLVED> in the title. This provides a good indicator for users with a similar problem to check out the thread
Want to chat? Join #sparkylinux at [url="//irc.freenode.net"]irc.freenode.net[/url]

elemmaiii

I don't want to add repos that might break my system.

Debian hasn't dropped Firefox 67 in their testing branch? That's honestly disappointing if true since other distros have updated Firefox weeks ago.

pavroo

You should understand Debian's politics before starting complaing.

Firefox ESR (long term support) is available in all Debian repos.
Firefox is available in Sid repos only.
I move Firefox (latest) from Debian Sid to Sparky testing regularly, but this time Debian testing is in deep freeze, and Firefox 67 needs one dependency version from Sid too. Usually I moved Firefox and temporary required dependency too, but not this time, until Buster is frozen, to avoid any problems you could occured after.

Why?
The big thing is: don't break Debian.

So you have 4 choices in this moment:
1. Relax waiting for Firefox updating in Sparky testing repos
2. Temporary enable Sid repos and install the Firefox 67, then disable Sid repos back
3. Download Firefox 67 from the Mozilla page and start using it until I move Debian's 67 to Sparky
4. Install Firefox ESR instead of Firefox.
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

pavroo

#7
Due to known security issues, I moved Firefox 67.0.3 (+ libnspr4 4.21) from Sid to Sparky testing repos.
Let me know if you find any problem of upgrading of installing new packages on Sparky 5, please.
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

View the most recent posts on the forum